Foreman - Feature #3377

Altlinux Operating Systems Support
10/20/2013 07:09 AM - Sergey Logvinov

Status: Closed
Priority: Normal
Assignee: Sergey Logvinov
Category: Host creation
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/966
Description

Support AltLinux (www.altlinux.com)

3 default provision templates

e http:/foreman/unattended/autoinstall.scm - main provision
e http:/foreman/unattended/vm-profile.scm - partition table
e http://foreman/unattended/pkg-groups.tar - packages list

e PXE template

label alt

kernel <%= (@kernel %>

append initrd=<%= @initrd %> stagename=altinst showopts ramdisk_size=150000 automatic=method:h
ttp, network:dhcp, server:DISTRHOST, directory:/altlinux/p<%= @host.operatingsystem.major %>/<%=
@host.architecture %> ai curl=<%= foreman_url ("provision") %>

® main provision

("/sysconfig-base/language" action "write" lang ("en_US"))

("/sysconfig-base/kbd" action "write" layout "ctrl_shift_toggle")

("/datetime-installer" action "write" commit #t name "RU" zone "Europe/Moscow" utc #t)
("/evms/control" action "write" control open installer #t)

("/evms/control" action "write" control update)

("/evms/profiles/<%= Qhost.params|['diskprofile'] || 'server' %>" action apply commit #f cleara
11 #t exclude ())

("/evms/control" action "write" control commit)

("/evms/control" action "write" control close)

("/pkg-init" action "write")

("/pkg-install" action "write" lists "<%= Qhost.params['pkg_list'] || '' %>" auto #t)
("/preinstall" action "write")
("/grub" action "write" language ("en_US") device "<%= Qhost.params]['device'] || '/dev/sda' %>

")

("/net—-eth" action "write" reset #t)

("/net-eth" action "write" name "ethO" configuration "dhcp" computer_name "<%= Qhost.shortname
>")

("/net—eth" action "write" commit #t)

("/root/change_password" language ("en_US") passwd_2 "123" passwd_1 "123")
("/users/create_account" new_name "da" gecos "" allow_su #t auto #f passwd_1 "123" passwd_2 "1

23")

® partition table example
((server

(title . "Setup for server")
(action . trivial)
(actiondata ("swap" (size . 2021760) (fsim . "SWAPEFS")

("/" (size 15000000 . #t) (fsim . "Ext2/3")

e packages list get from distrib #{@mediapath}/Metadata/pkg-groups.tar

(methods plain))
(methods plain))

Associated revisions

Revision 546b3e67 - 06/24/2014 01:02 PM - Sergey Logvinov
Add altlinux templates refs #3377

Revision 290ab45f - 07/10/2014 03:32 AM - Dominic Cleal
Merge pull request #86 from sergelogvinov/3377-add_altlinux_support

Add altlinux templates refs #3377

Revision 22671¢50 - 07/18/2014 03:05 AM - Kot
Fixes #3377 - Add altlinux support

History

#1 - 10/20/2013 08:30 AM - Sergey Logvinov

pull request https:/github.com/sergelogvinov/foreman/tree/3377-add_altlinux_support

#2 - 10/21/2013 05:04 PM - Sergey Logvinov
Change URLs
e http://foreman/unattended/provision/autoinstall.scm

e http:/foreman/unattended/provision/vm-profile.scm
¢ http:/foreman/unattended/provision/pkg-groups.tar

#3 - 07/17/2014 12:54 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/966 added

#4 - 07/18/2014 04:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 22671c505ea10d7896b8590c4a88ff82c2476ba3.

#5 - 07/21/2014 04:50 AM - Dominic Cleal

- translation missing: en.field_release set to 10
